List organizations
curl --request GET \
--url https://app.cysmiq.com/api/v1/{tenant_slug}/organizations \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.cysmiq.com/api/v1/{tenant_slug}/organizations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cysmiq.com/api/v1/{tenant_slug}/organizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "org_01hxyz",
"name": "acme",
"full_path": "acme",
"type": "github_org",
"external_id": "123456",
"orphaned": false,
"repositories_count": 12,
"created_at": "2024-08-01T10:00:00Z",
"updated_at": "2026-01-14T17:45:00Z"
}
],
"next_cursor": null
}Organizations
List organizations
Returns organizational units (orgs / groups / workspaces) the caller can access.
GET
/
{tenant_slug}
/
organizations
List organizations
curl --request GET \
--url https://app.cysmiq.com/api/v1/{tenant_slug}/organizations \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.cysmiq.com/api/v1/{tenant_slug}/organizations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cysmiq.com/api/v1/{tenant_slug}/organizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "org_01hxyz",
"name": "acme",
"full_path": "acme",
"type": "github_org",
"external_id": "123456",
"orphaned": false,
"repositories_count": 12,
"created_at": "2024-08-01T10:00:00Z",
"updated_at": "2026-01-14T17:45:00Z"
}
],
"next_cursor": null
}Authorizations
Use a Cysmiq API token in the Authorization header: Bearer {token}.
Path Parameters
Workspace slug for the tenant context.
Was this page helpful?